Skip to main content
`Ctrl`+`K`

# PetscFECreateVector

Create a vector-valued `PetscFE` from multiple copies of an underlying `PetscFE`.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateVector(PetscFE scalar_fe, PetscInt num_copies, PetscBool interleave_basis, PetscBool interleave_components, PetscFE *vector_fe)

Collective

## Input Parameters

- scalar_fe - a `PetscFE` finite element

- num_copies - a positive integer

- interleave_basis - if `PETSC_TRUE`, the first `num_copies` basis vectors of the output finite element will be copies of the first basis vector of `scalar_fe`, and so on for the other basis vectors; otherwise all of the first-copy basis vectors will come first, followed by all of the second-copy, and so on.

- interleave_components - if `PETSC_TRUE`, the first `num_copies` components of the output finite element will be copies of the first component of `scalar_fe`, and so on for the other components; otherwise all of the first-copy components will come first, followed by all of the second-copy, and so on.

## Output Parameter

- vector_fe - a `PetscFE` of type `PETSCFEVECTOR` that represent a discretization space with `num_copies` copies of `scalar_fe`

## See Also

`PetscFE`, `PetscFEType`, `PetscFECreate()`, `PetscFESetType()`, `PETSCFEBASIC`, `PETSCFEVECTOR`

## Level

intermediate

## Location

src/dm/dt/fe/impls/vector/fevector.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages